com.jogamp.common.util.locks

## Enum LockFactory.ImplType

- java.lang.Object
- - java.lang.Enum<LockFactory.ImplType>
  - - com.jogamp.common.util.locks.LockFactory.ImplType

- All Implemented Interfaces:
    Serializable, Comparable<LockFactory.ImplType>
  Enclosing class:
    LockFactory

      public static enum LockFactory.ImplType
      extends Enum<LockFactory.ImplType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Int01`
    `Int02ThreadGroup`
    `Java5`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LockFactory.ImplType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LockFactory.ImplType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Int01

          public static final LockFactory.ImplType Int01

    - #### Java5

          public static final LockFactory.ImplType Java5

    - #### Int02ThreadGroup

          public static final LockFactory.ImplType Int02ThreadGroup

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static LockFactory.ImplType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockFactory.ImplType c : LockFactory.ImplType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockFactory.ImplType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null